<?php  session_start();

if(!isset($_SESSION['user_vcrx_id']) || empty($_SESSION['user_vcrx_id'])){die('Error: Se ha cerrado su sesion, salga y vuelva a ingresar');}

if($_FILES['archivo']['type']!='text/xml'){	die('Error: no es archivo XML');}

$str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 
// ponemos en cero la variable $cad
$cad = ""; 
for($i=0;$i<4;$i++) { 	$cad .= substr($str,rand(0,62),1); } 
//asignamos el nombre del fichero a subir consistiendo en la fecha actual mas 4 caracteres aleatorios
$n_archivo='';
$n_archivo = '../../_celec/'.date("YmdHis") . $cad . '.xml';
//asignamos la ruta, nombre y extension al archivo a subir

if(!move_uploaded_file($_FILES['archivo']['tmp_name'], $n_archivo)){ die('Error: No se pudo subir archivo'); }
	//die( $n_archivo);
	//$factura= simplexml_load_file($n_archivo);
	$xml = file_get_contents($n_archivo);	
	$DOM = new DOMDocument('1.0', 'utf-8');
	$DOM->loadXML($xml);
	$numeroAutorizacion='../../_celec/'.$DOM->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue.'.xml';
	$nautorizacion=$DOM->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
	//echo $nautorizacion;
	if(file_exists ( $numeroAutorizacion ))
	{
		unlink ( $numeroAutorizacion );
	}
	rename($n_archivo,$numeroAutorizacion);
	//echo 'Subio Archivo: '.$DOM->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue.'.xml';	
	
	unset($DOM);
	unset($xml);
	//require('../../_lib/vrcelec_enti.php');
	//vrcelec_enti($numeroAutorizacion,'../cfg/res.php',$_SESSION['user_vcrx_id']);
	
$xml = file_get_contents($numeroAutorizacion);	

$DOM = new DOMDocument('1.0', 'utf-8');
$DOM2 = new DOMDocument('1.0', 'utf-8');
$DOM->loadXML($xml);

$xml4=$DOM->getElementsByTagName('comprobante')->item(0)->nodeValue;
$DOM2->loadXML($xml4);
$ruc =             $DOM2->getElementsByTagName('ruc')->item(0)->nodeValue;
$razonSocial =     $DOM2->getElementsByTagName('razonSocial')->item(0)->nodeValue;
$nombreComercial = $DOM2->getElementsByTagName('nombreComercial')->item(0)->nodeValue;
$dirMatriz =       $DOM2->getElementsByTagName('dirMatriz')->item(0)->nodeValue;
$calle1 = substr ( $dirMatriz , 0, 50 );
$calle2 = substr ( $dirMatriz , 50, 50 );
$calle3 = substr ( $dirMatriz , 100, 50 );
$estab = $DOM2->getElementsByTagName('estab')->item(0)->nodeValue;
$ptoEmi = $DOM2->getElementsByTagName('ptoEmi')->item(0)->nodeValue;
$secuencial = $DOM2->getElementsByTagName('secuencial')->item(0)->nodeValue;
$codDoc = $DOM2->getElementsByTagName('codDoc')->item(0)->nodeValue;
$claveAcceso = $DOM2->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
$fechaEmision = $DOM2->getElementsByTagName('fechaEmision')->item(0)->nodeValue;
//require('../../_lib/fecha_format.php');
//$fechaEmision=fecha_format($fechaEmision);

//********** hay q validar el codigo de documento las facturas son 01 y el resto no lo se asi q por desarrollo le puse fp10
$codDoc='FP10';
//**********

 
require('../cfg/res.php');
	$enti_sql='insert into enti0(
	enti_codigo,
	enti_descri,
	enti_razsoc,
	enti_nomcom,
	enti_calle1,
	enti_calle2,
	enti_calle3,
	enti_iuser,
	enti_idate
	)
	values(
	"'.$ruc.'",
	"'.$nombreComercial.'",
	"'.$razonSocial.'",
	"'.$nombreComercial.'",
	"'.$calle1.'",
	"'.$calle2.'",
	"'.$calle3.'",
	"'.$usuario.'",
	now()
	)
	';

if(!mysql_query($enti_sql,$link_vcrx)){	/*echo $enti_sql;*/}

//mysql_select_db('vcrxol_demo',$link_vcrx);
//mysql_query($enti_sql,$link_vcrx);
	
$prov_sql='select count(*)as total from prov1 where atrznume="'.$nautorizacion.'"';	
//echo $prov_sql;
$prov_res=mysql_query($prov_sql,$link_vcrx);
$prov_tot=mysql_result($prov_res,0,'total');
if($prov_tot==0){
$prov_sql=	'insert into prov1(atrznume)values("'.$nautorizacion.'")';
	mysql_query($prov_sql,$link_vcrx);
//echo $prov_sql;	
}

$prov_sql='update prov1 set ';
$prov_sql.='docu="'.$codDoc.'" ,';
$prov_sql.='ptoe="'.$estab.$ptoEmi.'" ,';
$prov_sql.='numero="'.$secuencial.'" ,';
$prov_sql.='enti="'.$ruc.'" ,';
$prov_sql.='fecha="'.$fechaEmision.'" ,';
$prov_sql.='iuser="'.$_SESSION['user_vcrx_id'].'" ,';
$prov_sql.='claveacc="'.$claveAcceso.'" ';
$prov_sql.='where atrznume="'.$nautorizacion.'" ';
if(!mysql_query($prov_sql,$link_vcrx)){echo $prov_sql;}

	
$prov_sql='select idnum1 from prov1 where atrznume="'.$nautorizacion.'"';	
$prov_res=mysql_query($prov_sql,$link_vcrx);
$prov_idnum=mysql_result($prov_res,0,'idnum1');
mysql_query('delete from prov2 where idnum2="'.$prov_idnum.'"',$link_vcrx);
	
$iddet=0;	
$detallex= $DOM2->getElementsByTagName('detalle');
foreach($detallex as $detalley) {
$iddet++;
	foreach($detalley->childNodes as $detalle){
	
		if($detalle->nodeName=='codigoPrincipal'){$codigoPrincipal=$detalle->nodeValue;}
                if($detalle->nodeName=='descripcion'){$descripcion=$detalle->nodeValue;}
		if($detalle->nodeName=='cantidad'){$cantidad=$detalle->nodeValue;}
		if($detalle->nodeName=='precioUnitario'){$precioUnitario=$detalle->nodeValue;}
		if($detalle->nodeName=='descuento'){$descuento=$detalle->nodeValue;}
		
		if($detalle->nodeName=='impuestos')
	 	{
		 	foreach($detalle->childNodes as $impuestos)
		 	{
		 	 	if($impuestos->nodeName=='impuesto')
			 	{
			 		foreach($impuestos->childNodes as $impuesto){
						 if($impuesto->nodeName=='tarifa'){$tarifa=$impuesto->nodeValue;}						 						 
					}
			 	}
			}
		 
	     }
	
	}
	
	/*
	echo 'codigoPrincipal:'. $codigoPrincipal;
	echo 'cantidad:'. $cantidad;
	echo 'precioUnitario:'. $precioUnitario;
	echo 'descuento: '. $descuento;
	echo 'tarifa: '. $tarifa;
	*/
	
	$prov2_sql='insert into prov2(
	idnum2,
	iddet,
	item2,
	cant,
	puni,
	dcto,
        detalle,
	iva)
	values(
	'.$prov_idnum.',
	'.$iddet.',
	"'.$codigoPrincipal.'",
	'.$cantidad.',
	'.$precioUnitario.',
	'.$descuento.',
        "'.$descripcion.'",
	'.$tarifa.')';
	if(!mysql_query($prov2_sql,$link_vcrx)){die ('Error: '.mysql_error($link_vcrx));}
}
	
	


echo '<a href="celectop1.php?docu='.$codDoc.'&idnum='.$prov_idnum.'&formato=1" target="_blank" >'.$prov_idnum.'</a>';


	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
//echo $DOM2->getElementsByTagName('ambiente')->length;	
//$lineas = file($numeroAutorizacion);
//$xml = file_get_contents("I01_001-101-000024431.xml");	

/*
$xml = file_get_contents($numeroAutorizacion);	

$DOM = new DOMDocument('1.0', 'utf-8');
$DOM2 = new DOMDocument('1.0', 'utf-8');
$DOM->loadXML($xml);


echo 'estado: ' . $DOM->getElementsByTagName('estado')->item(0)->nodeValue;
echo '<br>';
echo 'numeroAutorizacion: ' . $DOM->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
echo '<br>';
echo 'fechaAutorizacion: ' . $DOM->getElementsByTagName('fechaAutorizacion')->item(0)->nodeValue;
echo '<br>';



$xml4=$DOM->getElementsByTagName('comprobante')->item(0)->nodeValue;
$DOM2->loadXML($xml4);
$infoTributarias=$DOM2->getElementsByTagName('infoTributaria');

echo 'ambiente: '.$DOM2->getElementsByTagName('ambiente')->item(0)->nodeValue;
echo '<br>';
echo 'tipoEmision: '.$DOM2->getElementsByTagName('tipoEmision')->item(0)->nodeValue;
echo '<br>';
echo 'ruc: '.$DOM2->getElementsByTagName('ruc')->item(0)->nodeValue;
echo '<br>';
echo 'razonSocial: '.$DOM2->getElementsByTagName('razonSocial')->item(0)->nodeValue;
echo '<br>';
echo 'nombreComercial: '.$DOM2->getElementsByTagName('nombreComercial')->item(0)->nodeValue;
echo '<br>';
echo 'claveAcceso: '.$DOM2->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
echo '<br>';
echo 'estab: '.$DOM2->getElementsByTagName('estab')->item(0)->nodeValue;
echo '<br>';
echo 'ptoEmi: '.$DOM2->getElementsByTagName('ptoEmi')->item(0)->nodeValue;
echo '<br>';
echo 'secuencial: '.$DOM2->getElementsByTagName('secuencial')->item(0)->nodeValue;
echo '<br>';
echo 'fechaEmision: '.$DOM2->getElementsByTagName('fechaEmision')->item(0)->nodeValue;
echo '<br>';

$detallex= $DOM2->getElementsByTagName('detalle');
foreach($detallex as $detalley) {
echo '<br>------ <br>';
	foreach($detalley->childNodes as $detalle){
	
		if($detalle->nodeName=='codigoPrincipal'){$codigoPrincipal=$detalle->nodeValue;}
		if($detalle->nodeName=='cantidad'){$cantidad=$detalle->nodeValue;}
		if($detalle->nodeName=='precioUnitario'){$precioUnitario=$detalle->nodeValue;}
		if($detalle->nodeName=='descuento'){$descuento=$detalle->nodeValue;}
		
		if($detalle->nodeName=='impuestos')
	 	{
		 	foreach($detalle->childNodes as $impuestos)
		 	{
		 	 	if($impuestos->nodeName=='impuesto')
			 	{
			 		foreach($impuestos->childNodes as $impuesto){
						 if($impuesto->nodeName=='tarifa'){$tarifa=$impuesto->nodeValue;}						 						 
					}
			 	}
			}
		 
	     }
	
	}
	echo 'codigoPrincipal:'. $codigoPrincipal;
	echo '<br>';
	echo 'cantidad:'. $cantidad;
	echo '<br>';
	echo 'precioUnitario:'. $precioUnitario;
	echo '<br>';
	echo 'descuento: '. $descuento;
	echo '<br>';
	echo 'tarifa: '. $tarifa;

}
*/
?>







